Post by Tom Cat » Wed Jan 20, 2021 7:45 pm

First Data Payment extension not installing fully.
I upgraded from OC 1.5 to OC 3.0.3.6 and tried to install my payments module.

The software I purchased had all versions of OC so I have tried to install for OC version 3.

I just receive a 500 error for the main file.

Extension List > Modules > FirstData Connect Base Module
"This page isn’t workingkenwoodchefrestore.co.uk is currently unable to handle this request.
HTTP ERROR 500"

Address bar: https://ke,,,,.co.uk/shop/admin/index.php?route=extension/module/firstdataconnectcw&user_token=k3nnlT4ZTviaurFSixBtqeuolByNwq9

And

Extension List > Payments > FirstData Connect: Credit Card
Configuration for Credit Card (FirstData Connect) in modules
This loads and can be accessed and setup.

The company I purchased it from sellxed.com advised my support ran out last Nov, so I will need to re-purchase.

Can anyone advise what they think is wrong and why only half the software is installing please?
Software Download is: FirstDataConnectCw_3.0.93 2
files_3.x

Any help would be appreciated.

Thanks

New member

Posts

Joined
Thu Mar 08, 2012 4:24 am

Post by thekrotek » Wed Jan 20, 2021 8:04 pm

This is a paid extension and if your license has expired, then you indeed need to renew it. Why anybody here should help you for free just because you don't want to renew the license? Sorry, but no.

Professional OpenCart extensions, support and custom work.
Contact me via email or Skype by support@thekrotek.com


User avatar
Expert Member

Posts

Joined
Sun Jul 03, 2016 12:24 am


Post by JNeuhoff » Wed Jan 20, 2021 8:13 pm

The least you can do is to provide details from your server's error log which will have more details about the Internal Error 500.

Override Engine * Integrated VQMod * Unused Images Manager * Instant Option Price Calculator * Number Option * Google Rich Snippets * Google Tag Manager * Export/Import Tool * SpamBot Buster * Survey Plus


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by Tom Cat » Wed Jan 20, 2021 8:22 pm

thekrotek wrote:
Wed Jan 20, 2021 8:04 pm
This is a paid extension and if your license has expired, then you indeed need to renew it. Why anybody here should help you for free just because you don't want to renew the license? Sorry, but no.
No my license has not expired. Why did you assume this?

The software is bought and paid for. Their software comes with 1 year technical support, this has now expired.
You cannot buy further technical support without buying the complete software and support package.

So yes I am hoping someone can help me.

New member

Posts

Joined
Thu Mar 08, 2012 4:24 am

Post by thekrotek » Wed Jan 20, 2021 8:35 pm

Tom Cat wrote:
Wed Jan 20, 2021 8:22 pm
Their software comes with 1 year technical support, this has now expired. You cannot buy further technical support without buying the complete software and support package.
This is what I was talking about. Why should other developers waste their time on helping you with a 3rd party extension, which simply requires you to renew the license? And yes, purchasing again to simply receive a support is what "renewing license" technically mean.

Professional OpenCart extensions, support and custom work.
Contact me via email or Skype by support@thekrotek.com


User avatar
Expert Member

Posts

Joined
Sun Jul 03, 2016 12:24 am


Post by Tom Cat » Wed Jan 20, 2021 9:02 pm

JNeuhoff wrote:
Wed Jan 20, 2021 8:13 pm
The least you can do is to provide details from your server's error log which will have more details about the Internal Error 500.
My hosting company say there are no server errors for this issue.
If I uninstall and re-install the extension it does not flag up any errors in the Opencart error log either.

Is there anything else I can check please?

New member

Posts

Joined
Thu Mar 08, 2012 4:24 am

Post by mikeinterserv » Wed Jan 20, 2021 9:09 pm

The software I purchased had all versions of OC so I have tried to install for OC version 3.
Does YOUR version, the one you have, cover 3.0.3.6
Maybe you need an updated version or some file changes

You DON'T have access to your server logs ??
Last edited by mikeinterserv on Wed Jan 20, 2021 9:12 pm, edited 2 times in total.

Active Member

Posts

Joined
Thu May 28, 2020 6:55 am
Location - Wales

Post by JNeuhoff » Wed Jan 20, 2021 9:10 pm

Is there anything else I can check please?
Yes, ditch your hosting company. Of course there will be entries for your Internal Server 500 error in the server's error log!

Override Engine * Integrated VQMod * Unused Images Manager * Instant Option Price Calculator * Number Option * Google Rich Snippets * Google Tag Manager * Export/Import Tool * SpamBot Buster * Survey Plus


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by straightlight » Wed Jan 20, 2021 9:22 pm

Contact the extension developer to resolve this issue. In addition, indeed, server logs are required to be accessed into by your host.

The most generated errors being found on Opencart forum originates from contributed programming. The increased post counters are caused by redundancies of the same solutions that were already provided prior.


Regards,
Straightlight
Programmer / Opencart Tester


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by Tom Cat » Wed Jan 20, 2021 10:35 pm

mikeinterserv wrote:
Wed Jan 20, 2021 9:09 pm
The software I purchased had all versions of OC so I have tried to install for OC version 3.
Does YOUR version, the one you have, cover 3.0.3.6
Maybe you need an updated version or some file changes

You DON'T have access to your server logs ??
Yes I believe your are right. I have v3.0.93 2
The last version is: v3.0.127

Guess I have to bite the bullet and pay the £231 again.

Yes I have access to server logs, they just didn't report any issues on the server to http 500 error. Host said it would be a opencart issue in that case. But opencart logs don't show any relevant errors.

New member

Posts

Joined
Thu Mar 08, 2012 4:24 am

Post by straightlight » Wed Jan 20, 2021 10:37 pm

Tom Cat wrote:
Wed Jan 20, 2021 10:35 pm
mikeinterserv wrote:
Wed Jan 20, 2021 9:09 pm
The software I purchased had all versions of OC so I have tried to install for OC version 3.
Does YOUR version, the one you have, cover 3.0.3.6
Maybe you need an updated version or some file changes

You DON'T have access to your server logs ??
Yes I believe your are right. I have v3.0.93 2
The last version is: v3.0.127

Guess I have to bite the bullet and pay the £231 again.

Yes I have access to server logs, they just didn't report any issues on the server to http 500 error. Host said it would be a opencart issue in that case. But opencart logs don't show any relevant errors.
If it'd be an Opencart issue, the error logs would state so. See in your error_log file on your FTP either from your root Opencart or admin folder location for the latest log entries.

The most generated errors being found on Opencart forum originates from contributed programming. The increased post counters are caused by redundancies of the same solutions that were already provided prior.


Regards,
Straightlight
Programmer / Opencart Tester


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by mikeinterserv » Wed Jan 20, 2021 10:49 pm

I think if he wastes time to find THIS 500 error then it will ONLY lead to the NEXT ERROR :-)
Maybe I'm wrong but I don't think so.

I think the changes are too many between versions of extension and OC

Active Member

Posts

Joined
Thu May 28, 2020 6:55 am
Location - Wales

Post by straightlight » Wed Jan 20, 2021 10:53 pm

mikeinterserv wrote:
Wed Jan 20, 2021 10:49 pm
I think if he wastes time to find THIS 500 error then it will ONLY lead to the NEXT ERROR :-)
Maybe I'm wrong but I don't think so.

I think the changes are too many between versions of extension and OC
That's the whole point on checking the logs; to lead to the next until the final state in order to resolve reported issues. If the root cause would be based between versions, then even better to consider not to stick around with older versions but rather to focus on solutions to patch those issues where they exclude server-specific reports.

The most generated errors being found on Opencart forum originates from contributed programming. The increased post counters are caused by redundancies of the same solutions that were already provided prior.


Regards,
Straightlight
Programmer / Opencart Tester


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by mikeinterserv » Wed Jan 20, 2021 10:58 pm

Its not a reported issue though is it
Its an incompatability issue that can be resolved by the developer of the extension or NOT
OR
You buy the NEW correct version extension and get the support you need.

Active Member

Posts

Joined
Thu May 28, 2020 6:55 am
Location - Wales

Post by straightlight » Wed Jan 20, 2021 10:59 pm

mikeinterserv wrote:
Wed Jan 20, 2021 10:58 pm
Its not a reported issue though is it
Its an incompatability issue that can be resolved by the developer of the extension or NOT
OR
You buy the NEW correct version extension and get the support you need.
Based on installed extensions, that would be correct. However, let's not forget that the core also provides OCMod logs for each extension installations.

The most generated errors being found on Opencart forum originates from contributed programming. The increased post counters are caused by redundancies of the same solutions that were already provided prior.


Regards,
Straightlight
Programmer / Opencart Tester


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by Tom Cat » Wed Jan 20, 2021 11:01 pm

These are the updates since my Download on 20.11.2019
Sadly I never downloaded the updates.

Have a look at the recent changes we've made over the last year:

Version Modifications Published
3.0.127
Update supported languages.
Oct 30, 2020 3:21:56 PM
3.0.126
Improve the error handling for the BIC and IBAN validation.
Oct 28, 2020 2:29:25 AM
3.0.125
Renamed "Sofort" to "SOFORT" to comply with guidelines.
Oct 27, 2020 9:44:33 PM
3.0.124
Renamed payment methods:
· Credit Card => Credit / Debit Card
· Sofort?berweisung => Sofort
· Open Invoice => Invoice
Oct 20, 2020 8:21:14 PM
3.0.123
Fixed issue where capitalization in scheme could cause wrong port to be appended to request uris.
Oct 20, 2020 3:38:34 PM
3.0.122
Add credit card brand as label.
Oct 19, 2020 11:16:30 PM
3.0.121
Set default SSL protocol to 'ssl' and not to 'tls'.
Oct 16, 2020 12:40:24 AM
3.0.120
Added back support for TLS 1.1 (still in use).
Oct 12, 2020 9:55:39 PM
3.0.119
Prerelease for build system
Sep 18, 2020 11:17:24 PM
3.0.118
Disable email cloaking when rendering form (issue with passing JSON objects containing cloaked email HTML fixed).
Sep 9, 2020 11:58:30 AM

New member

Posts

Joined
Thu Mar 08, 2012 4:24 am

Post by mikeinterserv » Wed Jan 20, 2021 11:02 pm

straightlight wrote:
Wed Jan 20, 2021 10:59 pm
Based on installed extensions, that would be correct. However, let's not forget that the core also provides OCMod logs for each extension installations.
Yes absolutely
I just think in this case its going down a blind alley.

Active Member

Posts

Joined
Thu May 28, 2020 6:55 am
Location - Wales

Post by straightlight » Wed Jan 20, 2021 11:03 pm

Sadly I never downloaded the updates.
That might be the issue then. See with the latest updates if the issues you're reporting about have been fixed since.

The most generated errors being found on Opencart forum originates from contributed programming. The increased post counters are caused by redundancies of the same solutions that were already provided prior.


Regards,
Straightlight
Programmer / Opencart Tester


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by thekrotek » Wed Jan 20, 2021 11:39 pm

Tom Cat wrote:
Wed Jan 20, 2021 10:35 pm
Guess I have to bite the bullet and pay the £231 again.
You can also ask for commercial support here and this will be much cheaper. Free support won't lead you anywhere in your case as you could've already noticed yourself.

Professional OpenCart extensions, support and custom work.
Contact me via email or Skype by support@thekrotek.com


User avatar
Expert Member

Posts

Joined
Sun Jul 03, 2016 12:24 am


Post by Tom Cat » Thu Jan 21, 2021 7:27 pm

Thank you everyone for your help and advice.

Yes there are upgrades since my Download, so my Download was out of date.
There are newer files for OC 3: files_3.0.0.0-3.0.3.5 and files_3.0.3.5+

I have repurchased the extension vat free now!
With them to install.

New member

Posts

Joined
Thu Mar 08, 2012 4:24 am
Who is online

Users browsing this forum: No registered users and 6 guests